=== debian/control ===
Source: dsi-archive-keyring
Section: dsi
Priority: extra
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 7.0.50~), quilt
Standards-Version: 3.8.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary

Package: dsi-archive-keyring
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
